# Generated from simple_cpf_cnpj-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name simple_cpf_cnpj

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: Provides the module CpfCnpj, with methods that detect, format, and validate CPFs and CNPJs
License: MIT
URL: https://github.com/DaviMedrade/simple_cpf_cnpj
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
Provides the module CpfCnpj, with methods that detect, validate, and format
CPFs and CNPJs (Brazilian federal ID numbers).
//
Fornece o módulo CpfCnpj, com funções que detectam, validam, e formatam CPFs e
CNPJs.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%license %{gem_instdir}/LICENSE-pt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README-pt.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/cpf_cnpj.gemspec

%changelog
* Sat Jan 07 2023 mockbuilder - 1.0.1-1
- Initial package
